#pragma once

#include "GameObject.h"


class HomingEnemy : public GameObject
{
  public:

    float         AnimDelay;
    float         SizeFactor;

    GameObject*   pTarget;



    HomingEnemy();


    virtual void Display();
    virtual void Update( Level& Level, float ElapsedTime );
    virtual RECT Bounds();
    virtual void OnObjectRemoved( Level& Level, GameObject* pKilledObject );

    void          DetermineNewTarget( Level& Level );

    void          Grow( Level& Level, float GrowFactor );

};

